<?php 

require_once($livello.'includes/fpdi/fpdf/fpdf.php');

require_once($livello.'includes/fpdi/src/autoload.php');





function addWatermark($x, $y, $watermarkText, $angle, $pdf)

{   

    $angle = $angle * M_PI / 180;

    $c = cos($angle);

    $s = sin($angle);

    $cx = $x * 1;

    $cy = (300 - $y) * 1;

    $pdf->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm', $c, $s, - $s, $c, $cx, $cy, - $cx, - $cy));

    $pdf->Text($x, $y, $watermarkText);

    $pdf->_out('Q');

}



function doWatermark($fileInput,$newFile,$text){

$pdf = new \setasign\Fpdi\Fpdi();

$pages_count = $pdf->setSourceFile($fileInput);

for ($i = 1; $i <= $pages_count; $i ++) {

    $pdf->AddPage();

    $tplIdx = $pdf->importPage($i);

    $pdf->useTemplate($tplIdx, 0, 0);

    $pdf->SetFont('Arial', 'I', 10);

    $pdf->SetTextColor(255,0,0);

    addWatermark(10, 10, $text, 0, $pdf);

    $pdf->SetXY(10, 10);

}

$pdf->Output($newFile, 'F');



}



?>

